Re: debootstrap/1.0.98 breaks debomatic/0.23-1 autopkgtest in testing

classic Classic list List threaded Threaded
5 messages Options
Reply | Threaded
Open this post in threaded view
|

Re: debootstrap/1.0.98 breaks debomatic/0.23-1 autopkgtest in testing

Paul Gevers-4
Hi all,

On 15-05-18 15:11, Paul Gevers wrote:
> tl;dr: debootstrap/1.0.98 breaks debomatic/0.23-1 autopkgtest in testing
> see: https://ci.debian.net/packages/d/debomatic/testing/amd64/

The autopkgtest of debomatic in testing is apparently already broken¹
without the new debootstrap for reasons unclear to me. As a result it
isn't blocking migration anymore².

From ¹:
Uploading hello_2.10-1_source.changes
INFO: Processing
/tmp/autopkgtest-lxc.gq_4yw6e/downtmp/autopkgtest_tmp/incoming/hello_2.10-1_source.changes
INFO: Waiting for threads to complete...
INFO: Waiting for threads to complete...
ERROR: Failed creating unstable-amd64-debomatic
cat:
/tmp/autopkgtest-lxc.gq_4yw6e/downtmp/autopkgtest_tmp/incoming/unstable/pool/hello_2.10-1/hello_2.10-1.buildlog:
No such file or directory
autopkgtest [15:02:04]: test build: -----------------------]

Paul

¹
https://ci.debian.net/data/autopkgtest/testing/amd64/d/debomatic/305421/log.gz
² https://qa.debian.org/excuses.php?package=debootstrap


signature.asc (499 bytes) Download Attachment
Reply | Threaded
Open this post in threaded view
|

Re: debootstrap/1.0.98 breaks debomatic/0.23-1 autopkgtest in testing

Luca Falavigna-4
Hi Paul,

2018-05-16 10:05 GMT+02:00 Paul Gevers <[hidden email]>:
> The autopkgtest of debomatic in testing is apparently already broken¹
> without the new debootstrap for reasons unclear to me. As a result it
> isn't blocking migration anymore².

This is due to #898738.

--
Cheers,
Luca

Reply | Threaded
Open this post in threaded view
|

Re: debootstrap/1.0.98 breaks debomatic/0.23-1 autopkgtest in testing

Paul Gevers-4
Hi Luca,

On 16-05-18 13:33, Luca Falavigna wrote:
> 2018-05-16 10:05 GMT+02:00 Paul Gevers <[hidden email]>:
>> The autopkgtest of debomatic in testing is apparently already broken¹
>> without the new debootstrap for reasons unclear to me. As a result it
>> isn't blocking migration anymore².
>
> This is due to #898738.

Thanks for picking this up, but why then didn't it fail with debootstrap
1.0.97¹ as the bug suggests that version had the same issue.

Paul

¹
https://ci.debian.net/data/autopkgtest/testing/amd64/d/debomatic/225422/log.gz


signature.asc (499 bytes) Download Attachment
Reply | Threaded
Open this post in threaded view
|

Re: debootstrap/1.0.98 breaks debomatic/0.23-1 autopkgtest in testing

Cyril Brulebois-4
Paul Gevers <[hidden email]> (2018-05-16):

> Hi Luca,
>
> On 16-05-18 13:33, Luca Falavigna wrote:
> > 2018-05-16 10:05 GMT+02:00 Paul Gevers <[hidden email]>:
> >> The autopkgtest of debomatic in testing is apparently already broken¹
> >> without the new debootstrap for reasons unclear to me. As a result it
> >> isn't blocking migration anymore².
> >
> > This is due to #898738.
>
> Thanks for picking this up, but why then didn't it fail with debootstrap
> 1.0.97¹ as the bug suggests that version had the same issue.
>
> Paul
>
> ¹
> https://ci.debian.net/data/autopkgtest/testing/amd64/d/debomatic/225422/log.gz
Sorry but I can't immediately figure out what are the operations tried
by the step generating that error message:

    ERROR: Failed creating unstable-amd64-debomatic

Also, displaying actual errors when they happen would be better than
hiding them?


Cheers,
--
Cyril Brulebois ([hidden email])            <https://debamax.com/>
D-I release manager -- Release team member -- Freelance Consultant

signature.asc (849 bytes) Download Attachment
Reply | Threaded
Open this post in threaded view
|

Re: debootstrap/1.0.98 breaks debomatic/0.23-1 autopkgtest in testing

Hideki Yamane-2
In reply to this post by Paul Gevers-4
On Wed, 16 May 2018 13:53:11 +0200
Paul Gevers <[hidden email]> wrote:
> > This is due to #898738.
>
> Thanks for picking this up, but why then didn't it fail with debootstrap
> 1.0.97¹ as the bug suggests that version had the same issue.

 Hmm, it seems that runs fine again with debootstrap 1.0.99
 https://ci.debian.net/data/packages/unstable/amd64/d/debomatic/311372.log


--
Regards,

 Hideki Yamane     henrich @ debian.org/iijmio-mail.jp